Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeValueExp

    java.lang.Object
      javax.management.AttributeValueExp

All Implemented Interfaces:
  Serializable, ValueExp

public class AttributeValueExp
extends Object
implements ValueExp

A String that is an arguement to a query.

Revisions:

20020317 Adrian Brock:

- Make queries thread safe

20020711 Adrian Brock:

- Serialization

Version:
  $Revision: 1.9 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Constructor Summary
`AttributeValueExp()` Construct an attribute value expression for the null attribute name
`AttributeValueExp(String attr)` Construct an attribute value expression for the passed attribute name

Method Summary
`ValueExp` | `apply(ObjectName name)` Apply this value expression to an MBean.
`protected Object` | `getAttribute(ObjectName name)` Get the value of the attribute for a given object name
`String` | `getAttributeName()` Get the attribute name.
`void` | `setMBeanServer(MBeanServer server)` Set the MBeanServer for this expression.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueExp

    public AttributeValueExp()

  Construct an attribute value expression for the null attribute name

### AttributeValueExp

    public AttributeValueExp(String attr)

  Construct an attribute value expression for the passed attribute name

Parameters:
  `attr` - the attribute name

Method Detail

### getAttributeName

    public String getAttributeName()

  Get the attribute name.

  Returns:
    the attribute name

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Description copied from interface: `ValueExp`
  Apply this value expression to an MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `name` - the object name of the mbean
  Returns:
    this value expression
  Throws:
    `BadBinaryOpValueExpException` - when an invalid binary operation is used during query construction
    `InvalidApplicationException` - when trying to apply a subquery expression to an MBean or an attribute expression to an MBean of the wrong class.
    `BadStringOperationException` - when an invalid string operation is used during query construction
    `BadAttributeValueExpException` - when an invalid MBean attribute is used during query construction

### setMBeanServer

    public void setMBeanServer(MBeanServer server)

  Description copied from interface: `ValueExp`
  Set the MBeanServer for this expression. Only MBeans registered in this server can be used in queries.

  Specified by:
    `setMBeanServer` in interface `ValueExp`
  Parameters:
    `server` - the MBeanServer

### toString

    public String toString()

### getAttribute

    protected Object getAttribute(ObjectName name)

  Get the value of the attribute for a given object name

  Parameters:
    `name` - - the object name
  Returns:
    the value of the attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.